<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (C) 2021 The Android Open Source Project
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<resources>
    <!-- dimensions for rear view camera -->
    <dimen name="rear_view_camera_width">1020dp</dimen>
    <dimen name="rear_view_camera_height">720dp</dimen>

    <dimen name="rear_view_camera_exit_button_width">48dp</dimen>
    <dimen name="rear_view_camera_exit_button_height">48dp</dimen>
    <dimen name="rear_view_camera_exit_button_margin">24dp</dimen>
    <dimen name="rear_view_camera_exit_icon_width">26dp</dimen>
    <dimen name="rear_view_camera_exit_icon_height">26dp</dimen>

    <dimen name="hvac_container_padding">24dp</dimen>
    <dimen name="hvac_temperature_text_size">56sp</dimen>
    <dimen name="hvac_temperature_text_padding">12dp</dimen>
    <dimen name="hvac_temperature_button_size">64dp</dimen>

    <dimen name="system_bar_icon_drawing_size">56dp</dimen>
    <dimen name="system_bar_button_size">88dp</dimen>
    <!-- Margin between the system bar buttons -->
    <dimen name="system_bar_button_margin">40dp</dimen>
    <!-- Padding between the system bar button and the icon within it -->
    <dimen name="system_bar_button_padding">16dp</dimen>
    <dimen name="system_bar_button_corner_radius">24dp</dimen>

    <dimen name="system_bar_user_icon_drawing_size">44dp</dimen>
    <dimen name="status_bar_system_icon_spacing">32dp</dimen>

    <dimen name="system_bar_minimize_icon_height">17dp</dimen>
    <dimen name="system_bar_minimize_icon_width">28dp</dimen>

    <dimen name="hvac_panel_handle_bar_container_height">64dp</dimen>
    <dimen name="hvac_panel_handle_bar_container_width">728dp</dimen>
    <dimen name="hvac_panel_handle_bar_height">6dp</dimen>
    <dimen name="hvac_panel_handle_bar_margin_top">17dp</dimen>
    <dimen name="hvac_panel_handle_bar_width">120dp</dimen>
    <dimen name="hvac_panel_bg_radius">24dp</dimen>
    <dimen name="hvac_panel_off_button_radius">24dp</dimen>
    <dimen name="hvac_panel_on_button_radius">24dp</dimen>
    <dimen name="hvac_panel_seek_bar_radius">44dp</dimen>
    <dimen name="hvac_panel_full_expanded_height">456dp</dimen>
    <dimen name="hvac_panel_title_margin">36dp</dimen>
    <dimen name="hvac_panel_buttons_guideline">@dimen/hvac_panel_handle_bar_container_height</dimen>

    <dimen name="hvac_panel_icon_dimen">48dp</dimen>
    <dimen name="hvac_panel_tall_icon_dimen">108dp</dimen>
    <dimen name="hvac_panel_wide_icon_dimen">96dp</dimen>

    <dimen name="hvac_panel_button_dimen">88dp</dimen>
    <dimen name="hvac_panel_long_button_dimen">208dp</dimen>
    <dimen name="hvac_panel_airflow_button_width_1">210dp</dimen>
    <dimen name="hvac_panel_airflow_button_width_2">332dp</dimen>
    <dimen name="hvac_panel_slider_width">696dp</dimen>

    <dimen name="hvac_panel_button_external_margin">24dp</dimen>
    <dimen name="hvac_panel_button_external_top_margin">16dp</dimen>
    <dimen name="hvac_panel_button_external_bottom_margin">48dp</dimen>
    <dimen name="hvac_panel_button_internal_margin">32dp</dimen>

    <item name="hvac_heat_or_cool_off_alpha" format="float" type="dimen">0.3</item>

    <dimen name="toast_margin">24dp</dimen>
    <dimen name="toast_icon_dimen">48dp</dimen>
    <dimen name="toast_bottom_margin">32dp</dimen>

</resources>
